﻿
@using SSCMvc.Webutil;
@using SSCMvc.Models;


@{
    ViewBag.Title = "Create";
}
@section scripts{
    <script>
        $("#THeading").css('width', '100%')
        $("#temp").css('width', '100%')
    </script>
    <script>
        $("#THeading").change(function () {
            var gid = $("#THeading").val();
            $.getJSON("/SendSMS/GetFormat/", { id: gid }, function (data) {
                $("#temp").val(data);
            })

        })
    </script>
    <script>
        $("#btnSubmit").click(function () {
            var msg = $("#temp").val();
            if (msg=="") {
                alert("Message Box can't be Empty");
            }
            else {
                window.location = "/SendSMS/SendMessage?msgg=" + msg
            }
        })


    </script>

}



<div class="header">
    <div class="stats">
    </div>

    <h1 class="page-title">Send SMS</h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
    }

    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Send SMS</li>
</ul>


<div class="container-fluid">
    <div class="row-fluid">
        @{
            string error = "";
            string message = "";
            try
            {
                error = ViewBag.error;
            }
            catch (Exception ex)
            { }
            try
            {
                message = ViewBag.message;
            }
            catch (Exception ex)
            { }
            if (error != "" && error != null)
            {
                <div class="alert alert-danger">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @error
                </div>
            }
            if (message != "" && message != null)
            {
                <div class="alert alert-success">
                    <button type="button" class="close" data-dismiss="alert">
                        ×
                    </button>
                    @message
                </div>
            }



        }

        <div class="btn-toolbar">
            @*<input type="submit" value="Save" class="btn btn-primary" />*@
            @*<a href="/SendSMS/Create/" class="btn btn-info">Add New</a>*@


            <div class="btn-group">
            </div>
        </div>
        <div class="well">

            <div id="myTabContent" class="tab-content">
                <div class="tab-pane active in" id="home">
                    <form id="tab">
                        <table width="700px">
                            <tr>
                                <td style="width: 200px">
                                    <table>
                                        <tr>
                                            <td>Choose Template</td>

                                            <td><span class="color_style">*</span></td>

                                        </tr>
                                    </table>
                                </td>

                                <td>
                                    @Html.DropDownList("THeading", ViewBag.val as SelectList, "Select", new { @class = "form-control" })
                                </td>
                                <td>
                                    <a href="/SendSMS/Create/" title="Add New Template" style="font-size:30px"><i class="icon-plus-sign"></i></a>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 200px">
                                    <table>
                                        <tr>
                                            <td>Message</td>

                                            <td><span class="color_style">*</span></td>

                                        </tr>
                                    </table>
                                </td>

                                <td>
                                    <textarea rows="4" class="form-control" maxlength="160" id="temp" name="temp"></textarea>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <button type="button" id="btnSubmit" class="btn btn-primary">Send</button>
                                </td>
                            </tr>

                        </table>

                    </form>
                </div>

            </div>

        </div>


    </div>
</div>

